package com.game.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
        import com.game.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.game.business.mapper.AppUserLiveDividedRecordMapper;
import com.game.business.domain.AppUserLiveDividedRecord;
import com.game.business.service.IAppUserLiveDividedRecordService;
import com.game.common.annotation.DataSource;
import com.game.common.enums.DataSourceType;

/**
 * 直播分成记录表Service业务层处理
 *
 * @author game
 * @date 2024-06-30
 */
@Service
public class AppUserLiveDividedRecordServiceImpl extends ServiceImpl<AppUserLiveDividedRecordMapper, AppUserLiveDividedRecord> implements IAppUserLiveDividedRecordService {
    @Autowired
    private AppUserLiveDividedRecordMapper appUserLiveDividedRecordMapper;

    /**
     * 查询直播分成记录表
     *
     * @param id 直播分成记录表主键
     * @return 直播分成记录表
     */
    @Override
    @DataSource(DataSourceType.SLAVE)
    public AppUserLiveDividedRecord selectAppUserLiveDividedRecordById(Long id) {
        return appUserLiveDividedRecordMapper.selectAppUserLiveDividedRecordById(id);
    }

    /**
     * 查询直播分成记录表列表
     *
     * @param appUserLiveDividedRecord 直播分成记录表
     * @return 直播分成记录表
     */
    @Override
    @DataSource(DataSourceType.SLAVE)
    public List<AppUserLiveDividedRecord> selectAppUserLiveDividedRecordList(AppUserLiveDividedRecord appUserLiveDividedRecord) {
        return appUserLiveDividedRecordMapper.selectAppUserLiveDividedRecordList(appUserLiveDividedRecord);
    }

    /**
     * 新增直播分成记录表
     *
     * @param appUserLiveDividedRecord 直播分成记录表
     * @return 结果
     */
    @Override
    @DataSource(DataSourceType.SLAVE)
    public int insertAppUserLiveDividedRecord(AppUserLiveDividedRecord appUserLiveDividedRecord) {
                appUserLiveDividedRecord.setCreateTime(DateUtils.getNowDate());
            return appUserLiveDividedRecordMapper.insertAppUserLiveDividedRecord(appUserLiveDividedRecord);
    }

    /**
     * 修改直播分成记录表
     *
     * @param appUserLiveDividedRecord 直播分成记录表
     * @return 结果
     */
    @Override
    @DataSource(DataSourceType.SLAVE)
    public int updateAppUserLiveDividedRecord(AppUserLiveDividedRecord appUserLiveDividedRecord) {
        return appUserLiveDividedRecordMapper.updateAppUserLiveDividedRecord(appUserLiveDividedRecord);
    }

    /**
     * 批量删除直播分成记录表
     *
     * @param ids 需要删除的直播分成记录表主键
     * @return 结果
     */
    @Override
    @DataSource(DataSourceType.SLAVE)
    public int deleteAppUserLiveDividedRecordByIds(Long[] ids) {
        return appUserLiveDividedRecordMapper.deleteAppUserLiveDividedRecordByIds(ids);
    }

    /**
     * 删除直播分成记录表信息
     *
     * @param id 直播分成记录表主键
     * @return 结果
     */
    @Override
    @DataSource(DataSourceType.SLAVE)
    public int deleteAppUserLiveDividedRecordById(Long id) {
        return appUserLiveDividedRecordMapper.deleteAppUserLiveDividedRecordById(id);
    }
}